Sub
Arithmetic Operations

Sample by sample subtraction of the samples of two signals. More...

## Functions

NppStatus | nppsSub_16s (const Npp16s *pSrc1, const Npp16s *pSrc2, Npp16s *pDst, int nLength)
| 16-bit signed short signal subtract signal, then clamp to saturated value. More...
NppStatus | nppsSub_32f (const Npp32f *pSrc1, const Npp32f *pSrc2, Npp32f *pDst, int nLength)
| 32-bit floating point signal subtract signal, then clamp to saturated value. More...
NppStatus | nppsSub_64f (const Npp64f *pSrc1, const Npp64f *pSrc2, Npp64f *pDst, int nLength)
| 64-bit floating point signal subtract signal, then clamp to saturated value. More...
NppStatus | nppsSub_32fc (const Npp32fc *pSrc1, const Npp32fc *pSrc2, Npp32fc *pDst, int nLength)
| 32-bit complex floating point signal subtract signal, then clamp to saturated value. More...
NppStatus | nppsSub_64fc (const Npp64fc *pSrc1, const Npp64fc *pSrc2, Npp64fc *pDst, int nLength)
| 64-bit complex floating point signal subtract signal, then clamp to saturated value. More...
NppStatus | nppsSub_16s32f (const Npp16s *pSrc1, const Npp16s *pSrc2, Npp32f *pDst, int nLength)
| 16-bit signed short signal subtract 16-bit signed short signal, then clamp and convert to 32-bit floating point saturated value. More...
NppStatus | nppsSub_8u_Sfs (const Npp8u *pSrc1, const Npp8u *pSrc2, Npp8u *pDst, int nLength, int nScaleFactor)
| 8-bit unsigned char signal subtract signal, scale, then clamp to saturated value. More...
NppStatus | nppsSub_16u_Sfs (const Npp16u *pSrc1, const Npp16u *pSrc2, Npp16u *pDst, int nLength, int nScaleFactor)
| 16-bit unsigned short signal subtract signal, scale, then clamp to saturated value. More...
NppStatus | nppsSub_16s_Sfs (const Npp16s *pSrc1, const Npp16s *pSrc2, Npp16s *pDst, int nLength, int nScaleFactor)
| 16-bit signed short signal subtract signal, scale, then clamp to saturated value. More...
NppStatus | nppsSub_32s_Sfs (const Npp32s *pSrc1, const Npp32s *pSrc2, Npp32s *pDst, int nLength, int nScaleFactor)
| 32-bit signed integer signal subtract signal, scale, then clamp to saturated value. More...
NppStatus | nppsSub_16sc_Sfs (const Npp16sc *pSrc1, const Npp16sc *pSrc2, Npp16sc *pDst, int nLength, int nScaleFactor)
| 16-bit signed complex short signal subtract signal, scale, then clamp to saturated value. More...
NppStatus | nppsSub_32sc_Sfs (const Npp32sc *pSrc1, const Npp32sc *pSrc2, Npp32sc *pDst, int nLength, int nScaleFactor)
| 32-bit signed complex integer signal subtract signal, scale, then clamp to saturated value. More...
NppStatus | nppsSub_16s_I (const Npp16s *pSrc, Npp16s *pSrcDst, int nLength)
| 16-bit signed short in place signal subtract signal, then clamp to saturated value. More...
NppStatus | nppsSub_32f_I (const Npp32f *pSrc, Npp32f *pSrcDst, int nLength)
| 32-bit floating point in place signal subtract signal, then clamp to saturated value. More...
NppStatus | nppsSub_64f_I (const Npp64f *pSrc, Npp64f *pSrcDst, int nLength)
| 64-bit floating point in place signal subtract signal, then clamp to saturated value. More...
NppStatus | nppsSub_32fc_I (const Npp32fc *pSrc, Npp32fc *pSrcDst, int nLength)
| 32-bit complex floating point in place signal subtract signal, then clamp to saturated value. More...
NppStatus | nppsSub_64fc_I (const Npp64fc *pSrc, Npp64fc *pSrcDst, int nLength)
| 64-bit complex floating point in place signal subtract signal, then clamp to saturated value. More...
NppStatus | nppsSub_8u_ISfs (const Npp8u *pSrc, Npp8u *pSrcDst, int nLength, int nScaleFactor)
| 8-bit unsigned char in place signal subtract signal, with scaling, then clamp to saturated value. More...
NppStatus | nppsSub_16u_ISfs (const Npp16u *pSrc, Npp16u *pSrcDst, int nLength, int nScaleFactor)
| 16-bit unsigned short in place signal subtract signal, with scaling, then clamp to saturated value. More...
NppStatus | nppsSub_16s_ISfs (const Npp16s *pSrc, Npp16s *pSrcDst, int nLength, int nScaleFactor)
| 16-bit signed short in place signal subtract signal, with scaling, then clamp to saturated value. More...
NppStatus | nppsSub_32s_ISfs (const Npp32s *pSrc, Npp32s *pSrcDst, int nLength, int nScaleFactor)
| 32-bit signed integer in place signal subtract signal, with scaling, then clamp to saturated value. More...
NppStatus | nppsSub_16sc_ISfs (const Npp16sc *pSrc, Npp16sc *pSrcDst, int nLength, int nScaleFactor)
| 16-bit complex signed short in place signal subtract signal, with scaling, then clamp to saturated value. More...
NppStatus | nppsSub_32sc_ISfs (const Npp32sc *pSrc, Npp32sc *pSrcDst, int nLength, int nScaleFactor)
| 32-bit complex signed integer in place signal subtract signal, with scaling, then clamp to saturated value. More...

## Detailed Description

Sample by sample subtraction of the samples of two signals.

## Function Documentation

NppStatus nppsSub_16s | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | Npp16s * | pDst,
|  | int | nLength
| ) |  |

16-bit signed short signal subtract signal, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer. signal1 elements to be subtracted from signal2 elements
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_16s32f | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

16-bit signed short signal subtract 16-bit signed short signal, then clamp and convert to 32-bit floating point saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer. signal1 elements to be subtracted from signal2 elements
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_16s_I | ( | const Npp16s * | pSrc,
|  | Npp16s * | pSrcDst,
|  | int | nLength
| ) |  |

16-bit signed short in place signal subtract signal, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 elements to be subtracted from signal2 elements
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_16s_ISfs | ( | const Npp16s * | pSrc,
|  | Npp16s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

16-bit signed short in place signal subtract signal, with scaling, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 elements to be subtracted from signal2 elements
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_16s_Sfs | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

16-bit signed short signal subtract signal, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer, signal1 elements to be subtracted from signal2 elements.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_16sc_ISfs | ( | const Npp16sc * | pSrc,
|  | Npp16sc * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

16-bit complex signed short in place signal subtract signal, with scaling, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 elements to be subtracted from signal2 elements
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_16sc_Sfs | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | Npp16sc * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

16-bit signed complex short signal subtract signal, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer, signal1 elements to be subtracted from signal2 elements.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_16u_ISfs | ( | const Npp16u * | pSrc,
|  | Npp16u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

16-bit unsigned short in place signal subtract signal, with scaling, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 elements to be subtracted from signal2 elements
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_16u_Sfs | ( | const Npp16u * | pSrc1,
|  | const Npp16u * | pSrc2,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

16-bit unsigned short signal subtract signal, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer, signal1 elements to be subtracted from signal2 elements.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_32f | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

32-bit floating point signal subtract signal, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer. signal1 elements to be subtracted from signal2 elements
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_32f_I | ( | const Npp32f * | pSrc,
|  | Npp32f * | pSrcDst,
|  | int | nLength
| ) |  |

32-bit floating point in place signal subtract signal, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 elements to be subtracted from signal2 elements
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_32fc | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | Npp32fc * | pDst,
|  | int | nLength
| ) |  |

32-bit complex floating point signal subtract signal, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer. signal1 elements to be subtracted from signal2 elements
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_32fc_I | ( | const Npp32fc * | pSrc,
|  | Npp32fc * | pSrcDst,
|  | int | nLength
| ) |  |

32-bit complex floating point in place signal subtract signal, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 elements to be subtracted from signal2 elements
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_32s_ISfs | ( | const Npp32s * | pSrc,
|  | Npp32s * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

32-bit signed integer in place signal subtract signal, with scaling, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 elements to be subtracted from signal2 elements
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_32s_Sfs | ( | const Npp32s * | pSrc1,
|  | const Npp32s * | pSrc2,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

32-bit signed integer signal subtract signal, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer, signal1 elements to be subtracted from signal2 elements.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_32sc_ISfs | ( | const Npp32sc * | pSrc,
|  | Npp32sc * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

32-bit complex signed integer in place signal subtract signal, with scaling, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 elements to be subtracted from signal2 elements
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_32sc_Sfs | ( | const Npp32sc * | pSrc1,
|  | const Npp32sc * | pSrc2,
|  | Npp32sc * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

32-bit signed complex integer signal subtract signal, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer, signal1 elements to be subtracted from signal2 elements.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_64f | ( | const Npp64f * | pSrc1,
|  | const Npp64f * | pSrc2,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

64-bit floating point signal subtract signal, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer. signal1 elements to be subtracted from signal2 elements
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_64f_I | ( | const Npp64f * | pSrc,
|  | Npp64f * | pSrcDst,
|  | int | nLength
| ) |  |

64-bit floating point in place signal subtract signal, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 elements to be subtracted from signal2 elements
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_64fc | ( | const Npp64fc * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | Npp64fc * | pDst,
|  | int | nLength
| ) |  |

64-bit complex floating point signal subtract signal, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer. signal1 elements to be subtracted from signal2 elements
  pDst | Destination Signal Pointer.
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_64fc_I | ( | const Npp64fc * | pSrc,
|  | Npp64fc * | pSrcDst,
|  | int | nLength
| ) |  |

64-bit complex floating point in place signal subtract signal, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 elements to be subtracted from signal2 elements
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_8u_ISfs | ( | const Npp8u * | pSrc,
|  | Npp8u * | pSrcDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

8-bit unsigned char in place signal subtract signal, with scaling, then clamp to saturated value.

Parameters

  pSrc | Source Signal Pointer.
  pSrcDst | In-Place Signal Pointer. signal1 elements to be subtracted from signal2 elements
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsSub_8u_Sfs | ( | const Npp8u * | pSrc1,
|  | const Npp8u * | pSrc2,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

8-bit unsigned char signal subtract signal, scale, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer, signal1 elements to be subtracted from signal2 elements.
  pDst | Destination Signal Pointer.
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2017 NVIDIA Corporation